> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gnosispay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Terms and Conditions Status

> Returns the status of all terms and conditions, including whether the user has accepted
the latest version, when they were accepted, and links to the terms documents.




## OpenAPI

````yaml https://api.gnosispay.com/api-docs/spec.json get /api/v1/user/terms
openapi: 3.0.0
info:
  title: GnosisPay API
  version: 1.0.0
  description: OpenAPI documentation for GnosisPay
servers:
  - url: https://api.gnosispay.com
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/user/terms:
    get:
      tags:
        - User
      summary: Retrieve Terms and Conditions Status
      description: >
        Returns the status of all terms and conditions, including whether the
        user has accepted

        the latest version, when they were accepted, and links to the terms
        documents.
      responses:
        '200':
          description: Successfully retrieved terms status
          content:
            application/json:
              schema:
                type: object
                properties:
                  terms:
                    type: array
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - general-tos
                            - card-monavate-tos
                            - cashback-tos
                            - privacy-policy
                          description: Type of terms and conditions
                        currentVersion:
                          type: string
                          description: Current version of these terms
                        accepted:
                          type: boolean
                          description: Whether the user has accepted the current version
                        acceptedVersion:
                          type: string
                          nullable: true
                          description: Version the user has accepted (if any)
                        acceptedAt:
                          type: string
                          format: date-time
                          nullable: true
                          description: When the user accepted these terms
                        url:
                          type: string
                          description: URL to view these terms
              example:
                terms:
                  - type: general-tos
                    currentVersion: TOS_GENERAL_VERSION_1
                    accepted: true
                    acceptedVersion: TOS_GENERAL_VERSION_1
                    acceptedAt: '2024-08-20T12:34:56Z'
                    url: >-
                      https://help.gnosispay.com/hc/en-us/articles/39723036951444-Gnosis-Pay-WebApp-Terms-of-Service
                  - type: card-monavate-tos
                    currentVersion: TOS_CARD_VERSION_1
                    accepted: false
                    url: >-
                      https://help.gnosispay.com/hc/en-us/articles/39726634253076-Monavate-Cardholder-Terms-EEA
                  - type: cashback-tos
                    currentVersion: TOS_CASHBACK_2024-08-01
                    accepted: false
                    url: >-
                      https://forum.gnosis.io/t/gip-110-should-the-gnosis-dao-create-and-fund-a-gnosis-pay-rewards-program-with-10k-gno/8837
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '422':
          description: Request validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: 'Error: User not found'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - bearerAuth: []
components:
  responses:
    UnauthorizedError:
      description: Unauthorized Error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
          example: Internal server error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````